Functions
Functions
Peripheral Driver » APP DRIVER » BOD
Collaboration diagram for Functions:

## Functions
uint16_t | app_bod_init (app_bod_params_t *p_params, app_bod_evt_handler_t evt_handler)
| Initialize the APP BOD DRIVER. More...
uint16_t | app_bod_deinit (void)
| De-initialize the APP BOD DRIVER. More...
uint16_t | app_bod_enable (uint8_t enable)
| Enable or disable hardware BOD. More...
uint16_t | app_bod_event_enable (uint8_t enable)
| Enable or disable BOD Event. More...
uint16_t | app_bod_event_set_level (uint8_t level)
| Set BOD EVENT control level. More...
uint16_t | app_bod_static_mode_enable (uint8_t enable)
| Enable or disable static mode. More...

## Detailed Description

## Function Documentation

## ◆ app_bod_deinit()

uint16_t app_bod_deinit | ( | void |  | ) |

De-initialize the APP BOD DRIVER.

Returns
  Result of De-initialization.

## ◆ app_bod_enable()

uint16_t app_bod_enable | ( | uint8_t | enable | ) |

Enable or disable hardware BOD.

Parameters

  [in] | enable | bod enable flag. the value can be APP_BOD_ENABLE or APP_BOD_DISABLE.

Returns
  Result of operation.

## ◆ app_bod_event_enable()

uint16_t app_bod_event_enable | ( | uint8_t | enable | ) |

Enable or disable BOD Event.

Parameters

  [in] | enable | bod event enable flag. the value can be APP_BOD_EVENT_ENABLE or APP_BOD_EVENT_DISABLE.

Returns
  Result of operation.

## ◆ app_bod_event_set_level()

uint16_t app_bod_event_set_level | ( | uint8_t | level | ) |

Set BOD EVENT control level.

Parameters

  [in] | level | the level of bod event control.the value range between 0x0 ~ 0xF.

Returns
  Result of operation.

## ◆ app_bod_init()

uint16_t app_bod_init | ( | app_bod_params_t * | p_params,
|  | app_bod_evt_handler_t | evt_handler
| ) |  |

Initialize the APP BOD DRIVER.

Parameters

  [in] | p_params | Pointer to app_bod_params_t parameter which contains the configuration information for the specified BOD module.
  [in] | evt_handler | BOD user callback function.

Returns
  Result of initialization.

## ◆ app_bod_static_mode_enable()

uint16_t app_bod_static_mode_enable | ( | uint8_t | enable | ) |

Enable or disable static mode.

Parameters

  [in] | enable | static mode enable flag. the value can be APP_BOD_STATIC_ENABLE or APP_BOD_STATIC_DISABLE.

Returns
  Result of operation.